Problem installing imacros in Seamonkey

Discussions and Tech Support specific to the iMacros Firefox add-on.
Forum rules
Before asking a question or reporting an issue:
1. Please review the list of FAQ's.
2. Use the search box (at the top of each forum page) to see if a similar problem or question has already been addressed.
3. Try searching the iMacros Wiki - it contains the complete iMacros reference as well as plenty of samples and tutorials.
4. We can respond much faster to your posts if you include the following information: CLICK HERE FOR IMPORTANT INFORMATION TO INCLUDE IN YOUR POST
Post Reply
frogman8z1
Posts: 5
Joined: Fri Oct 10, 2008 9:36 pm

Problem installing imacros in Seamonkey

Post by frogman8z1 » Sat Nov 22, 2008 11:50 pm

horst39 wrote:I tried to install iMacro 6.0.1.2 on my PC but I got the message "install script not found"
I made several test like using default profile, updating Seamonkey to 1.1.9 but got always the same result.
I have Windows 2000SP4.
Somebody could please help me?
horst



im having this same problem downloading imacros to seamonkey,,,,i get the same error mes.
i already have the side bar installed... i dont understand why it wont install imacros :?

Help Plz.......ty
User avatar
Tech Support
Posts: 4947
Joined: Tue Sep 20, 2005 7:25 pm
Contact:

Re: Problem installing imacros in Seamonkey

Post by Tech Support » Tue Nov 25, 2008 4:38 pm

We are testing this at the moment. If there are other Seamonkey users that see the same issue, please reply to this thread.
zaegue
Posts: 1
Joined: Mon Dec 22, 2008 4:53 pm

Re: Problem installing imacros in Seamonkey

Post by zaegue » Mon Dec 22, 2008 5:02 pm

I did some research myself because I haven't gotten it to install in the last 6 stable versions of SeaMonkey (That were not alphas). According to several sites I've seen SeaMonkey cannot use the install.rdf files to install xpi's... SeaMonkey requires an install.js instead.

There is talk of SeaMonkey 2.0a having the toolkit that can handle the install.rdf files. I have not checked it out myself.
casperl
Posts: 1
Joined: Thu May 21, 2009 9:59 am

Re: Problem installing imacros in Seamonkey

Post by casperl » Thu May 21, 2009 10:09 am

Yes, same problem here when attempting to install iOpus in Seamonkey 1.1.15 on Ubuntu Linux 8.10 (Intrepid)

Error message:
> Installing addon-3863-latest.xpi ... Install script not found.

Nothing I do can change this behaviour, not running Seamonkey as root, not downloading the xpi file and opening as a local file.

Heck! I really, really needed this!
Technosaur
Posts: 2
Joined: Mon Jan 25, 2010 1:28 am

Re: Problem installing imacros in Seamonkey

Post by Technosaur » Mon Jan 25, 2010 1:56 am

Do you support the newer version of Seamonkey through the Firefox browser plugin? From version 2.0 forward, Seamonkey is using most of Firefox under the hood. You get a slightly different folder name, but the profile is much the same as Firefox.

CCleaner has just recently addressed compatibility with Seamonkey 2.0, as have a few other authors. We hope you will too. Most of us who use Seamonkey are accustomed to being the minority, but with the new similarity with Firefox, we hope for more inclusion.

I searched for "seamonkey" in advance of this posting and did not find support. I hope I did not miss it.

I tried to install the Firefox borwser plugin. Upon click of download now, the plugin install process gives a standard warning and awaits your click to begin. Once clicked I get:

iMacros for Firefox 6.3.1.1 could not be installed because it is not compatible with seamonkey 2.02.

I suspect it only gets as far as an initial check of the browser name and never gives it a chance to proceed.
0160
Posts: 1
Joined: Mon Apr 12, 2010 5:21 pm

Re: Problem installing imacros in Seamonkey

Post by 0160 » Mon Apr 12, 2010 5:26 pm

Monday April 12 2010
iMacros for Firefox 6.6.0.1 could not be installed because it is not compatible with SeaMonkey 2.0.3.
GAH!!!

thats from installing from this url
https://addons.mozilla.org/en-US/seamon ... os&cat=all

there has to be a simple fix for this ffs should we be asking seamonkey or iOpus for help?
how is it not compatible? if i build a 2.0.4 will it be compatible?

it works fine in my firefox 3.x Namoroka build
but my Namoroka is giving me issues so i thought i would use seamonkey for a while
thx
User avatar
Tech Support
Posts: 4947
Joined: Tue Sep 20, 2005 7:25 pm
Contact:

Re: Problem installing imacros in Seamonkey

Post by Tech Support » Thu Apr 15, 2010 9:45 pm

With V6.1.1.4 we removed Seamonkey and Flock support because of issues with the latest versions of these browsers.

See http://wiki.imacros.net/iMacros_for_Fir ... on_History
Technosaur
Posts: 2
Joined: Mon Jan 25, 2010 1:28 am

Problem: imacros unwilling to include Seamonkey

Post by Technosaur » Sat Jan 07, 2012 1:52 am

So, it's been 2 years since I posted my wishes, THREE years since your posted info:

" 2009-01-09 V6.1.1.4
Changed: Removed Seamonkey and Flock support because of issues with the latest versions of these browsers. We plan to add support again in the future. "

It's nice to know you are loved, BUT NOT BY IOPUS.

HEY SEAMONKEY FANS: The don't care. THREE YEARS SINCE THEY TELL US THAT THEY "PLAN TO ADD SUPPORT AGAIN IN THE FUTURE". WHEN MIGHT THAT BE?????

I'M SURE THAT THE EARTH WILL BE A COLD LIFELESS ROCK IN THE FUTURE.

I just came back to check since my "extra" machine which had firefox and imacros running finally died. I was so sure that they would have fixed it by now. Especially since the original quoted info was likely about the old versions of seamonkey BEFORE IT WENT "FIREFOX" under the hood. This should be easy you lazy goobers.

Well, guess I'm done. I'm not installing Firefox on the new box.

-JME
additional001
Posts: 175
Joined: Sun Jul 06, 2008 3:24 am

Re: Problem installing imacros in Seamonkey

Post by additional001 » Mon Nov 17, 2014 1:34 pm

Bumping this... as I would like to see iMacro's Firefox plugin returned to SeaMonkey as well. :!:
chivracq
Posts: 9306
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: Problem installing imacros in Seamonkey

Post by chivracq » Mon Nov 17, 2014 5:31 pm

I don't know about SeaMonkey but I use Pale Moon (PM v24..6.2 at this moment, v25 is available as well) which is also an optimized branched Browser based on Firefox (v24) and in order to be able to install several FF Add-ons (among which iMacros, which works perfectly), I've had to disable the Compatibility Check for Add-ons, using another FF Add-on: Compatibility Check v1.3.

I think it's possible to disable the Compatibility Check for Add-ons from 'about:config' as well, and I see several Settings related to that, but I don't know anymore which ones are original FF/PM Settings and which ones were added by this Add-on.

Be aware though if you can install this Add-on and after that iMacros for FF that iMacros for FF v8.8.2 is probably the Version to use, all later Versions (v8.8.3-v8.8.7) have now become incompatible (for PM) (for other reasons).

Post your Results in the Thread, I'll be interested...
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
additional001
Posts: 175
Joined: Sun Jul 06, 2008 3:24 am

Re: Problem installing imacros in Seamonkey

Post by additional001 » Wed Dec 17, 2014 1:44 pm

chivracq wrote:Post your Results in the Thread, I'll be interested...
Well this went south quick. It would appear that both Firefox and SeaMonkey no longer support extensions.checkCompatibility which seems key in "fooling" add ons in the about:config.

Source: http://kb.mozillazine.org/Extensions.checkCompatibility
chivracq
Posts: 9306
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: Problem installing imacros in Seamonkey

Post by chivracq » Wed Dec 17, 2014 3:40 pm

additional001 wrote:
chivracq wrote:Post your Results in the Thread, I'll be interested...
Well this went south quick. It would appear that both Firefox and SeaMonkey no longer support extensions.checkCompatibility which seems key in "fooling" add ons in the about:config.

Source: http://kb.mozillazine.org/Extensions.checkCompatibility
Just add the Key manually in your 'about:config' if it's not there, or have the Add-on I mentioned add it for you... I still use it in FF v34.0.5 (on Win7-x64).

And by first downloading locally an Add-on and Dragging&Dropping it onto the Add-ons Page, you can always force the Install...

You are going to make me install SeaMonkey just to prove that it can work..., Grrr...! :twisted:
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
additional001
Posts: 175
Joined: Sun Jul 06, 2008 3:24 am

Re: Problem installing imacros in Seamonkey

Post by additional001 » Wed Dec 17, 2014 5:08 pm

chivracq wrote:
additional001 wrote:
chivracq wrote: Just add the Key manually in your 'about:config' if it's not there, or have the Add-on I mentioned add it for you... I still use it in FF v34.0.5 (on Win7-x64).

And by first downloading locally an Add-on and Dragging&Dropping it onto the Add-ons Page, you can always force the Install...

You are going to make me install SeaMonkey just to prove that it can work..., Grrr...! :twisted:
I can't figure out how to get the Add on to download locally.
I tried just setting extensions.checkCompatibility to a boolean of false and restarted. No luck. iMacros still shows as incompatible.

SeaMonkey is 2.3
rlaggren
Posts: 1
Joined: Sat Jan 03, 2015 10:23 pm

Re: Problem installing imacros in Seamonkey

Post by rlaggren » Sat Jan 03, 2015 10:28 pm

I have often been able to download a file by right-clicking on the "Install" button and selecting "Save link As".
Post Reply